System 1.0.5000.0 2.0.0.0 4.0.0.0 System.CodeDom.Compiler.CodeDomProvider

This class provides methods that can be used to retrieve instances of the Visual Basic and implementations.

This class contains a link demand and an inheritance demand at the class level that applies to all members. A is thrown when either the immediate caller or the derived class does not have full-trust permission. For details about security demands, see Link Demands and Inheritance Demands.

Provides access to instances of the Visual Basic code generator and code compiler.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  The value for is obtained from the <providerOption> element in the configuration file. You can identify the version of the you want to use by specifying the <providerOption> element, supplying "CompilerVersion" as the option name, and supplying the version number (for example, "v3.5") as the option value. You must precede the version number with a lower case "v".

  Initializes a new instance of the class by using the specified provider options.

  A object that contains the provider options from the configuration file.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use CodeDomProvider class")
  System.CodeDom.Compiler.ICodeCompiler To be added.

  Gets an instance of the Visual Basic code compiler.

  An instance of the Visual Basic implementation.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use CodeDomProvider class")
  System.CodeDom.Compiler.ICodeGenerator To be added.

  Gets an instance of the Visual Basic code generator.

  An instance of the Visual Basic implementation.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This file name extension is usually the extension used by the language's source code files.

  Gets the file name extension to use when creating source code files.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void `` `` ``

  Members are generated differently depending on their context. For example, a method in an interface or a field in an enumeration is generated differently than a method or field on a class. This implementation generates code for a member in the class context.

  Generates code for the specified class member using the specified text writer and code generator options.

  A to generate code for. The to write to. The to use when generating the code.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.TypeConverter ``

  A derived class can override this method to provide specific types of type converters for specific data types.

  Gets a for the specified type of object.

  A for the specified type.

  The type of object to retrieve a type converter for.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CodeDom.Compiler.LanguageOptions To be added. To be added.

  Gets a language features identifier.